Name:           python-unified-planning
Version:        1.2.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Unified Planning Framework

# No license information obtained, it's up to the packager to fill it in
License:        Apache-2.0
URL:            https://www.aiplan4eu-project.eu
Source:         %{pypi_source unified_planning}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'unified-planning' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-unified-planning
Summary:        %{summary}

%description -n python3-unified-planning %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
# %%pyproject_extras_subpkg -n python3-unified-planning aries,dev,engines,enhsp,fast-downward,fmap,grpc,lpg,plot,pyperplan,symk,tamer,tarski


%prep
%autosetup -p1 -n unified_planning-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
# %%pyproject_buildrequires -x aries,dev,engines,enhsp,fast-downward,fmap,grpc,lpg,plot,pyperplan,symk,tamer,tarski
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# Add top-level Python module names here as arguments, you can use globs
%pyproject_save_files unified_planning


# %check section removed to avoid test dependencies


%files -n python3-unified-planning -f %{pyproject_files}


%changelog
%autochangelog